/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.v2g;

import org.etsi.ttcn.tci.TciTypeClass;
import org.etsi.ttcn.codec.CodecFactory;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.UNION, "LibItsV2G", "Sdp_Payload", Sdp_Payload.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "V2Gind", ExiUnion.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "V2Greq", ExiUnion.class);
    }
}